Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.37 veröffentlicht (04.11.23)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Update von 8.21 auf 8.33 weiße index-Seite
#1
Was kann ich da tun?

es liegt PHP 8.1.16 und MySQLi 5.7.37 an, da ich keine Neuinstallation sondern nur ein Update gemacht habe

Neuinstallation und vorn Anfangen von null ist nicht drin, das sollte schon mit dem Update funktionieren

spannend finde ich das ohne inkognito-Modus die Seite weiß bleibt aber mit dem privaten Fenster kriege ich reihenweise Fehlermeldungen
Code:
Warning [2] Undefined variable $as_sidebar - Line: 2 - File: global.php(961) : eval()'d code PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/global.php(961) : eval()'d code 2 errorHandler->error_callback
/global.php 961 eval
/index.php 18 require_once

Warning [2] Undefined variable $opengesamt - Line: 4 - File: global.php(961) : eval()'d code PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/global.php(961) : eval()'d code 4 errorHandler->error_callback
/global.php 961 eval
/index.php 18 require_once

Warning [2] Undefined variable $countgesamt - Line: 4 - File: global.php(961) : eval()'d code PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/global.php(961) : eval()'d code 4 errorHandler->error_callback
/global.php 961 eval
/index.php 18 require_once

Warning [2] Array to string conversion - Line: 20 - File: global.php(961) : eval()'d code PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/global.php(961) : eval()'d code 20 errorHandler->error_callback
/global.php 961 eval
/index.php 18 require_once

Warning [2] Undefined variable $inplayquotes - Line: 157 - File: global.php(961) : eval()'d code PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/global.php(961) : eval()'d code 157 errorHandler->error_callback
/global.php 961 eval
/index.php 18 require_once

Warning [2] Undefined variable $pm_switch_notice - Line: 165 - File: global.php(961) : eval()'d code PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/global.php(961) : eval()'d code 165 errorHandler->error_callback
/global.php 961 eval
/index.php 18 require_once

Warning [2] Undefined variable $unreadreports - Line: 169 - File: global.php(961) : eval()'d code PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/global.php(961) : eval()'d code 169 errorHandler->error_callback
/global.php 961 eval
/index.php 18 require_once

ich bin noch nicht durch mit dem Aufräumen aber im Adminbereich kriege ich ebenfalls eine Fehlermeldung:

Code:
Warning [2] Trying to access array offset on value of type bool - Line: 2710 - File: inc/functions.php PHP 8.1.16 (Linux)
File Line Function
/inc/class_error.php 153 errorHandler->error
/inc/functions.php 2710 errorHandler->error_callback
/admin/modules/home/index.php 168 get_server_load
/admin/index.php 830 requir

aktuell habe ich auch da keine Ahnung, was ich da vorher übersehen haben könnte ..

Für jegliche Tipps wo ich da was übersehen habe / ansetzen kann, bin ich dankbar

Edit: Cache leeren / aktualisieren / Anzeigen aktualisieren, nach dem Update ist alles gemacht
Zitieren
#2
to avoid the white pages, please activate the error display in the ACP, so that all errors are displayed

replace $unreadreports in the template header with $modnotice
the variable is outdated for a long time, probably templates were not maintained
Zitieren
#3
(29.04.2023, 00:44)FlederMaus schrieb: es liegt PHP 8.1.16 und MySQLi 5.7.37 an, da ich keine Neuinstallation sondern nur ein Update gemacht habe...

...reihenweise Fehlermeldungen
Soweil die Dateien nicht geändert wurden, wie folgt:
  • Fehlermeldung der ./global.php ist im Template "header" in Zeile 2 der Fehler gegeben.
    Bitte mal den Inhalt prüfen.
    Wurde Deinerseits die Datei geändert = Prüfe in der ./global.php welches Template in Zeile 961 aufgerufen wird, dann im Template die Zeile 2 prüfen
  • Die Fehlermeldung der ./inc/functions.php in Zeile 2710 ist bei mir im ACP unter PHP 8.1.16 gleichfalls gegeben.
    Zeile2710:
    PHP-Code:
    $serverload[0] = round($serverload[0], 4); 
    Hat jemand eine Lösung hierzu?
Sollte ich der Ansicht sein helfen zu können biete ich Hilfe(n) an!  ...ich bitte jedoch nicht darum helfen zu dürfen!
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner] ♦ [PlugIns]
Zitieren
#4
@Gerti

https://www.mybb.de/forum/thread-38499-p...#pid252349

@Lu dies ist das deutsche Forum, da kannst du auch mal deutsch schreiben, aua, schon wieder passiert Big Grin
Zitieren
#5
(29.04.2023, 09:08)bv64 schrieb: https://www.mybb.de/forum/thread-38499-p...#pid252349
Dies wurde ausgeführt, die nachstehende Fehlermeldung (PHP 8.1.16) ist beim Start des ACP (Tasche Startseite ) noch immer gegeben.
Der im Link angegebene "einfachere Vorschlag" war daher nicht zielführend.

Habe dann die von doylecc modernisierte functions.php verwendet und dann war die Fehlermeldung unter PHP 8.1.16 weg.
Danke an doylecc für die zur Verfügungstellung der Datei.
Sollte ich der Ansicht sein helfen zu können biete ich Hilfe(n) an!  ...ich bitte jedoch nicht darum helfen zu dürfen!
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner] ♦ [PlugIns]
Zitieren
#6
ommm ommmm, ich rege mich nicht auf
Zitieren
#7
vielen Dank euch für die Hilfe, ich werde das direkt durchgehen
Zitieren
#8
ist das nicht bedenklich, ich komme im ACP nicht mal andie Plugin-Liste die wieder zu aktivieren, damit die Fehler durch die Plugin.Ergänzungen in den PHP und Templates nicht mehr als Fehler zu kriegen ..

dazu habe ich bei der "Versionsprüfung", also eher an der Stelle wo da normaler Weise steht, sie verwenden Version x.xx aktuelle version y.yy

die oben schon steht mit der "Warning [2] Trying to access array offset on value of type bool - Line: 2710 - File: inc/functions.php PHP 8.1.16 (Linux)", das Tolle ist, diese Line gibt es nicht die Datei endet bei Line 883?

da dreht sich das offenbar im Kreis, ich komme nicht an die Oberfläche zur Aktualisierung der Plugins, weil die Pluginerweiterungen in den Dateien drin sind und dadurch Fehler erzeugen, die die Oberfläche blockieren

also so gesehen, wenn die Plugins bei dem Update deaktiviert sind, kommt man da nach dem Update trotzdem nicht mehr dran um sie zu aktualisieren, dann müsste man sie vorher doch direkt deinstallieren und nach dem Update neu installieren, in der entsprechenden Version der Plugins für die dann aktuelle MyBB-Version

damit sind wir wieder da wo wir mit hilfe der "updates" nicht landen wollten, komplette neuinstallation und verlust sämtlicher Inhalte die vorher eingerichtet waren ..

Das Einzige was bisher funktioniert hat, ist die 1 zu 1 Kopie der Seite zum Backup ..

Update hat funktioniert? Ja mit den deaktivierten Plugins ließ sich das Update durchführen, aber bereits dabei unter "Fehlermeldungs"-Konditionen.

Man kommt in das ACP oder den Adminbereich wie man das nennen will ist ja egal, da kommt man zwar rein, aber wird direkt mit
Code:
Warning [2] Trying to access array offset on value of type bool - Line: 2710 - File: inc/functions.php PHP 8.1.16 (Linux)

begrüßt statt mit "Sie verwenden die aktuelle MyBB-Version 1.8.33"

dann versucht man die Fehler zu lösen, stellt fest das die Fehlerlösung "die Aktualisierung der Plugins" wäre und siehe oben, die Oberfläche blockiert, wegen der Erweiterungen in den Dateien, mit Fehlermeldungen den Versuch die Plugins zu aktualisieren, damit die Fehlermeldungen verschwinden würden

gibt es einen Weg ohne völlig Neuinstallation und Datenverlust, die Plugins raus zu werfen die die Fehlermeldungen generieren, die die Oberfläche zur Aktualisierung der Plugins blockieren?

Neu installieren und Daten verlieren ist keine Option

edit: ergänzend sei dazu gesagt, die Functions.php von doylec, macht bei mir das ACP weiß nicht nutzbare Seite

ich bin bald am Verzweifeln was man noch tun kann. Die Fehlermeldungen wären denke ich mal weg, wenn die Plugins aktiviert werden könnten oder es würden zu midnestens neue generiert werden, aufgrund von "inkompatibel" aber das könnte man dann ja ändern über die "Plugins aktualsieren" oder sehe ich das falsch?

Der letzte Versuch ein MyBB-Update zu machen, damals noch von Version 1.8.21 auf die 1.8.22 hatte ebenfalls nicht funktioniert und wir mussten nun die ganze Zeit mit der 1.8.21 klarkommen ..

"Mergen" in eine Neuinstallation?" fällt auch aus, da das schon damals nicht funktioniert hat ohne Fehlermeldungen und Datenverluste

und dabei war das nicht mal von Fremdsoftware zu MyBB sondern Haus intern, von MyBB 1.8.21 zu MyBB 1.8.22

ob und wie der aktuelle Stand davon funktioniert, wollte ich eigentlich nicht vergeblich testen, um Datenverluste zu vermeiden

bleiben also die Frage offen:

"wie kommt man an die Oberfläche mit der Pluginliste, an den Fehlermeldungen vorbei?"

wenn ich die deaktivierten Plugins wieder aktiviert kriegte wären die Erweiterungen in den PHP keine "undefined array" oder "undefined property"

aber wenn ich das alles aus den PHP / Templates rauswerfe, habe ich dann wieder Probleme, weil die Einträge in der datenbank ja drin sind was eine "neuinstallation der Plugins" ja nicht zulässt, was dann wieder auf das Ergebnis kommt ..

Neuinstallation und Datenverlust?
Zitieren
#9
Eine Neu-Installation ist keine Lösung sondern Humbug!

interessanter und guter Beitrag im engl. Forum, ggf. per deepl.com übersetzen lassen:
https://community.mybb.com/thread-237253.html

Du kannst die Anzeige von Warnings im ACP abstellen; es ändert zwar nichts dran, dass da Warnings sind, aber Warnings sind eben nur Warnungen; trotz Warnungen funktioniert alles. Bei Error sieht das anders aus, dann geht irgendwas nicht mehr.

PHP8 bringt leider eine Menge Probleme, weil es deutlich strenger ist, dazu gab es in der letzten Zeit eine Menge Themen, wo sich auch schon sehr viele Lösungen finden (vor allem auch im engl. Supportforum)

Für jedes Problem gibt es eine Lösung, man muss sie nur eines nach dem anderen abarbeiten und keine Wunder erwarten, dass jemand sagt: hier, mach das und die Welt ist in Ordnung Wink

Zwei Lösungen deiner Probleme hatte ich oben schon an dich und an Gerti geschrieben, beide schon umgesetzt?

edit: wäre deine inc/functions.php so kurz, würde in deinem Forum rein gar nichts funktionieren!
Zitieren
#10
Zitat:Für jedes Problem gibt es eine Lösung, man muss sie nur eines nach dem anderen abarbeiten und keine Wunder erwarten, dass jemand sagt: hier, mach das und die Welt ist in Ordnung [Bild: https://www.mybb.de/forum/images/smilies/wink.gif]

Zwei Lösungen deiner Probleme hatte ich oben schon an dich und an Gerti geschrieben, beide schon umgesetzt?

edit: wäre deine inc/functions.php so kurz, würde in deinem Forum rein gar nichts funktionieren!

also die Variable habe ich geändert, damit die zu mindestens schon mal richtig ist

die Idee mit dem Überschreiben der admin/inc/functions.php hat nicht funktioniert, da wird mir das ACP ebenfalls weiß angezeigt ohne jeglichen Inhalt, die ist zwar dan nauch über 9000 Zeilen lang, aber das nutzt mir ja nur wenn ich auch ins ACP komme nach dem Ersetzen ..

ich werde jetzt nach Absprache mit meinen beiden Admins, die Seite zurücksetzen, auf die 18.21 und dann schmeißen wir die Plugins raus, dann gibts keine Probleme mehr mit Fehlermeldungen wegen vorhandener Codeschnips in den Dateien und dann sollte hoffentlich die Neuinstallation der plugins helfen

dann sind aber zu mindestens nur minimal Daten weg und es brauchte keine komplette Neuinstallation

oder werden die Codeschnips nicht aus Dateien entfernt mit der Deinstallation? dann kann man sich diesen Weg auch sparen
Zitieren


Möglicherweise verwandte Themen…
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Admin-Bereich: Weiße Seite nach Upgrade auf 1.8.31 BEASTIEPENDENT 8 1.184 05.11.2022, 00:05
Letzter Beitrag: BEASTIEPENDENT
Question Nach Installation nur "weiße" Seite mit Text derlange 1 740 16.06.2022, 14:48
Letzter Beitrag: derlange
  Subdomain -> Weiße Seite Fiji 2 1.038 29.10.2021, 20:30
Letzter Beitrag: Fiji
  Weiße Index-Seite nach Update von 1.8.15 auf 1.8.22 Santhony 6 2.109 30.01.2020, 11:20
Letzter Beitrag: Santhony
  Hosterwechsel weiße Seite bromance 7 2.754 21.02.2018, 16:01
Letzter Beitrag: sjfm